org.apache.hadoop.yarn.api.protocolrecords

## Class GetQueueInfoRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class GetQueueInfoRequest
      extends Object

  The request sent by clients to get queue information from the `ResourceManager`.

  See Also:
    `ApplicationClientProtocol.getQueueInfo(GetQueueInfoRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetQueueInfoRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `getIncludeApplications()` Is information about active applications required?
    `abstract boolean` | `getIncludeChildQueues()` Is information about child queues required?
    `abstract String` | `getQueueName()` Get the queue name for which to get queue information.
    `abstract boolean` | `getRecursive()` Is information on the entire child queue hierarchy required?
    `static GetQueueInfoRequest` | `newInstance(String queueName, boolean includeApplications, boolean includeChildQueues, boolean recursive)`
    `abstract void` | `setIncludeApplications(boolean includeApplications)` Should we get fetch information about active applications?
    `abstract void` | `setIncludeChildQueues(boolean includeChildQueues)` Should we fetch information about child queues?
    `abstract void` | `setQueueName(String queueName)` Set the queue name for which to get queue information
    `abstract void` | `setRecursive(boolean recursive)` Should we fetch information on the entire child queue hierarchy?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetQueueInfoRequest

          public GetQueueInfoRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static GetQueueInfoRequest newInstance(String queueName,
                                                                                                              boolean includeApplications,
                                                                                                              boolean includeChildQueues,
                                                                                                              boolean recursive)

    - #### getQueueName

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getQueueName()

      Get the queue name for which to get queue information.
      Returns:
        queue name for which to get queue information

    - #### setQueueName

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setQueueName(String queueName)

      Set the queue name for which to get queue information
      Parameters:
        `queueName` - queue name for which to get queue information

    - #### getIncludeApplications

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract boolean getIncludeApplications()

      Is information about active applications required?
      Returns:
        `true` if applications' information is to be included, else `false`

    - #### setIncludeApplications

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setIncludeApplications(boolean includeApplications)

      Should we get fetch information about active applications?
      Parameters:
        `includeApplications` - fetch information about active applications?

    - #### getIncludeChildQueues

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract boolean getIncludeChildQueues()

      Is information about child queues required?
      Returns:
        `true` if information about child queues is required, else `false`

    - #### setIncludeChildQueues

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setIncludeChildQueues(boolean includeChildQueues)

      Should we fetch information about child queues?
      Parameters:
        `includeChildQueues` - fetch information about child queues?

    - #### getRecursive

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract boolean getRecursive()

      Is information on the entire child queue hierarchy required?
      Returns:
        `true` if information about entire hierarchy is required, `false` otherwise

    - #### setRecursive

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setRecursive(boolean recursive)

      Should we fetch information on the entire child queue hierarchy?
      Parameters:
        `recursive` - fetch information on the entire child queue hierarchy?

Copyright © 2022 Apache Software Foundation. All rights reserved.